
From: Nigel Cunningham <ncunningham@cyclades.com>

Here's a patch to fix a missing refrigerator call in jffs2.

Signed-off-by: Nigel Cunningham <nigel@suspend2.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/jffs/intrep.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN fs/jffs/intrep.c~fix-missing-refrigerator-invocation-in-jffs2 fs/jffs/intrep.c
--- devel/fs/jffs/intrep.c~fix-missing-refrigerator-invocation-in-jffs2	2005-07-25 20:30:53.000000000 -0700
+++ devel-akpm/fs/jffs/intrep.c	2005-07-25 20:30:53.000000000 -0700
@@ -3397,6 +3397,9 @@ jffs_garbage_collect_thread(void *ptr)
 			siginfo_t info;
 			unsigned long signr = 0;
 
+			if (try_to_freeze())
+				continue;
+
 			spin_lock_irq(&current->sighand->siglock);
 			signr = dequeue_signal(current, &current->blocked, &info);
 			spin_unlock_irq(&current->sighand->siglock);
_
